Dies ist eine alte Version des Dokuments!


Upgrade

Laut der Shibboleth-Dokumentation muss der IdP 4.0 direkt auf einen funktionsfähigen IdP Version 3.4.6 installiert werden! Man erhält kein fehlerfrei funktionierendes System, wenn man die Version 4.x separat installiert und die Konfiguration der Version in die Installation hineinkopiert.

In den letzten 3.4.x-Releases wurden bereits alle Syntax- und Konfigurationsparameter-Änderungen als veraltet bemängelt, die in Version 4.0 nicht mehr möglich sind. Mit einer entsprechend migepflegten, laufenden IdP 3.4.6-Installation ist das Upgrade auf 4.0 möglich.

Daher bringen Sie Ihren IdP bitte zunächst auf die Version 3.4.6: Hinweise zum Upgrade innerhalb der IdP v3 Produktlinie und Überblick über die Konfigurationsänderungen ab IdP v3.4.0

  • Datensicherung von idp.home und Datenbank
  • Release Notes studieren
  • den Installer (.bin/install.sh) aufrufen und den IdP - wie bei den vorherigen Updates ins gewohnte Verzeichnis installieren
  • die Datei ./war/idp.war neu bauen mit ./bin/build.sh
  • Zuletzt geändert: vor 4 Monaten